Graph Composer Startup error

I am currently trying to work with the graph composer on the new DS 6.0 full release. When I attempt to start up the composer using $composer I receive the following dependency errors:
2021-12-08 19:12:37 [2,245ms] [Error] [carb.python] [py stderr]: /home/ze-flyer/.local/share/ov/data/Kit/composer-standalone/1.0/pip3-envs/default/requests/__init__.py:80: RequestsDependencyWarning: urllib3 (1.26.6) or chardet (3.0.4) doesn't match a supported version!

I have tried upgrading to the versions of urllib3 and chardet listed in the error as well as upgrading to the latest versions of each, however the error is persistent with the same version requirements.

Seems version issue. Can you try to run composer with deepstream container nvcr.io/nvidia/deepstream:6.0-devel? Docker Containers — DeepStream 6.0 Release documentation

The following traceback error occurred when running from the container:

root@zeflyer-System-Product-Name:/opt/nvidia/deepstream/deepstream-6.0# composer
Preparing files...
Done.
./kit/kit ./composer/composer-standalone.kit --ext-path ./composer/omni.exp.graph.composer/  --/plugins/carb.scripting-python.plugin/pythonPath=./registry/ --allow-root
[Info] [carb] Logging to file: /root/.nvidia-omniverse/logs/Kit/composer-standalone/1.0/kit_20211215_163748.log
root@zeflyer-System-Product-Name:/opt/nvidia/deepstream/deepstream-6.0# [0.160s] [ext: omni.kit.pipapi-0.0.0] startup
[0.174s] [ext: omni.kit.pip_archive-0.0.0] startup
[0.188s] [ext: omni.usd.config-1.0.0] startup
[0.189s] [ext: omni.usd.libs-1.0.0] startup
[0.330s] [ext: omni.stats-0.0.0] startup
[0.332s] [ext: omni.gpu_foundation-0.0.0] startup
2021-12-15 16:37:48 [304ms] [Warning] [omni.ext.plugin] [ext: omni.gpu_foundation-0.0.0] Failed to load plugins, folder doesn't exist: '/tmp/.tmpNvXgRaphComposer/run/kit/plugins/rtx'.
2021-12-15 16:37:48 [304ms] [Warning] [omni.ext.plugin] [ext: omni.gpu_foundation-0.0.0] '/tmp/.tmpNvXgRaphComposer/run/kit/plugins/rtx/rtx.xrtools.plugin' in '[[native.plugin]]' was not found.
[0.336s] [ext: omni.kit.async_engine-0.0.0] startup
[0.347s] [ext: omni.kit.loop-default-0.1.0] startup
[0.347s] [ext: omni.assets.plugins-0.0.0] startup
[0.349s] [ext: omni.appwindow-1.0.0] startup
No protocol specified
2021-12-15 16:37:48 [321ms] [Error] [carb.windowing-glfw.plugin] GLFW initialization failed.
2021-12-15 16:37:48 [321ms] [Error] [carb] Failed to startup plugin carb.windowing-glfw.plugin (interfaces: [carb::windowing::IGLContext v1.0],[carb::windowing::IWindowing v1.2]) (impl: carb.windowing-glfw.plugin)
No protocol specified
2021-12-15 16:37:48 [321ms] [Error] [carb.windowing-glfw.plugin] GLFW initialization failed.
2021-12-15 16:37:48 [321ms] [Error] [carb] Failed to startup plugin carb.windowing-glfw.plugin (interfaces: [carb::windowing::IGLContext v1.0],[carb::windowing::IWindowing v1.2]) (impl: carb.windowing-glfw.plugin)
2021-12-15 16:37:48 [321ms] [Error] [omni.appwindow.plugin] Failed to acquire IWindowing interface
[0.352s] [ext: omni.client-0.1.0] startup
[0.362s] [ext: omni.kit.renderer.core-0.0.0] startup
2021-12-15 16:37:48 [337ms] [Warning] [omni.ext.plugin] [ext: omni.kit.renderer.core-0.0.0] Failed to load plugins, folder doesn't exist: '/tmp/.tmpNvXgRaphComposer/run/kit/plugins/rtx'.
2021-12-15 16:37:48 [337ms] [Warning] [omni.ext.plugin] [ext: omni.kit.renderer.core-0.0.0] '/tmp/.tmpNvXgRaphComposer/run/kit/plugins/rtx/rtx.xrtools.plugin' in '[[native.plugin]]' was not found.
No protocol specified
Failed to establish dbus connectionNo protocol specified
2021-12-15 16:37:48 [370ms] [Error] [carb.windowing-glfw.plugin] GLFW initialization failed.
2021-12-15 16:37:48 [370ms] [Error] [carb] Failed to startup plugin carb.windowing-glfw.plugin (interfaces: [carb::windowing::IGLContext v1.0],[carb::windowing::IWindowing v1.2]) (impl: carb.windowing-glfw.plugin)
No protocol specified
No protocol specified

|---------------------------------------------------------------------------------------------|
| Driver Version: 495.29      | Graphics API: Vulkan
|=============================================================================================|
| GPU | Name                             | Active | LDA | GPU Memory | Vendor-ID | LUID       |
|     |                                  |        |     |            | Device-ID | UUID       |
|---------------------------------------------------------------------------------------------|
| 0   | NVIDIA GeForce RTX 3090          | Yes: 0 |     | 24822   MB | 10de      | 0          |
|     |                                  |        |     |            | 2204      | 6694caef.. |
|=============================================================================================|
| OS: Linux zeflyer-System-Product-Name, Version: 5.4.0-91-generic
| Processor: AMD Ryzen 9 5900X 12-Core Processor             | Cores: Unknown | Logical: 24
|---------------------------------------------------------------------------------------------|
| Total Memory (MB): 64289 | Free Memory: 7483
| Total Page/Swap (MB): 2047 | Free Page/Swap: 2047
|---------------------------------------------------------------------------------------------|
2021-12-15 16:37:48 [541ms] [Warning] [carb.cudainterop.plugin] NVML could not be loaded. GPU Utilization stats will be unavailable. Error: libnvidia-ml.so: cannot open shared object file: No such file or directory
No protocol specified
2021-12-15 16:37:48 [542ms] [Error] [carb.windowing-glfw.plugin] GLFW initialization failed.
2021-12-15 16:37:48 [542ms] [Error] [carb] Failed to startup plugin carb.windowing-glfw.plugin (interfaces: [carb::windowing::IGLContext v1.0],[carb::windowing::IWindowing v1.2]) (impl: carb.windowing-glfw.plugin)
No protocol specified
2021-12-15 16:37:49 [723ms] [Error] [carb.windowing-glfw.plugin] GLFW initialization failed.
2021-12-15 16:37:49 [723ms] [Error] [carb] Failed to startup plugin carb.windowing-glfw.plugin (interfaces: [carb::windowing::IGLContext v1.0],[carb::windowing::IWindowing v1.2]) (impl: carb.windowing-glfw.plugin)
No protocol specified
2021-12-15 16:37:49 [723ms] [Error] [carb.windowing-glfw.plugin] GLFW initialization failed.
2021-12-15 16:37:49 [723ms] [Error] [carb] Failed to startup plugin carb.windowing-glfw.plugin (interfaces: [carb::windowing::IGLContext v1.0],[carb::windowing::IWindowing v1.2]) (impl: carb.windowing-glfw.plugin)
2021-12-15 16:37:49 [785ms] [Fatal] [carb.crashreporter-breakpad.plugin] libcarb.events.plugin.so!carbOnPluginStartup
2021-12-15 16:37:49 [786ms] [Fatal] [carb.crashreporter-breakpad.plugin] libcarb.tasking.plugin.so!std::thread::_State_impl<std::thread::_Invoker<std::tuple<void (carb::tasking::Scheduler::*)(unsigned int, int, carb::cpp20::latch*), carb::tasking::Scheduler*, unsigned int, int, carb::cpp20::latch*> > >::_M_run()
2021-12-15 16:37:49 [788ms] [Fatal] [carb.crashreporter-breakpad.plugin] libpthread.so.0!funlockfile
2021-12-15 16:37:49 [788ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.appwindow.plugin.so!std::string __gnu_cxx::__to_xstring<std::string, char>(int (*)(char*, unsigned long, char const*, __va_list_tag*), unsigned long, char const*, ...)
2021-12-15 16:37:49 [789ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.kit.renderer.plugin.so!void std::vector<unsigned long, std::allocator<unsigned long> >::_M_realloc_insert<unsigned long const&>(__gnu_cxx::__normal_iterator<unsigned long*, std::vector<unsigned long, std::allocator<unsigned long> > >, unsigned long const&)
2021-12-15 16:37:49 [789ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.kit.renderer.plugin.so!carbOnPluginRegisterEx
2021-12-15 16:37:49 [790ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.kit.renderer.plugin.so!carbOnPluginRegisterEx
2021-12-15 16:37:49 [790ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.kit.renderer.plugin.so!carbOnPluginRegisterEx
2021-12-15 16:37:49 [791ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.kit.renderer.ext.plugin.so!carbOnPluginPostShutdown
2021-12-15 16:37:49 [792ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.ext.plugin.so!void std::vector<std::string, std::allocator<std::string> >::_M_realloc_insert<std::string&>(__gnu_cxx::__normal_iterator<std::string*, std::vector<std::string, std::allocator<std::string> > >, std::string&)
2021-12-15 16:37:49 [793ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.ext.plugin.so!carbOnPluginShutdown
2021-12-15 16:37:49 [794ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.ext.plugin.so!char* std::string::_S_construct<char*>(char*, char*, std::allocator<char> const&, std::forward_iterator_tag)
2021-12-15 16:37:49 [795ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.ext.plugin.so!std::_Rb_tree<std::string, std::string, std::_Identity<std::string>, std::less<std::string>, std::allocator<std::string> >::_M_erase(std::_Rb_tree_node<std::string>*)
2021-12-15 16:37:49 [795ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.ext.plugin.so!std::_Rb_tree<std::string, std::string, std::_Identity<std::string>, std::less<std::string>, std::allocator<std::string> >::_M_erase(std::_Rb_tree_node<std::string>*)
2021-12-15 16:37:49 [796ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.ext.plugin.so!std::_Rb_tree<std::string, std::string, std::_Identity<std::string>, std::less<std::string>, std::allocator<std::string> >::_M_erase(std::_Rb_tree_node<std::string>*)
2021-12-15 16:37:49 [797ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.ext.plugin.so!std::_Hashtable<std::string, std::string, std::allocator<std::string>, std::__detail::_Identity, std::equal_to<std::string>, std::hash<std::string>, std::__detail::_Mod_range_hashing, std::__detail::_Default_ranged_hash, std::__detail::_Prime_rehash_policy, std::__detail::_Hashtable_traits<true, true, true> >::operator=(std::_Hashtable<std::string, std::string, std::allocator<std::string>, std::__detail::_Identity, std::equal_to<std::string>, std::hash<std::string>, std::__detail::_Mod_range_hashing, std::__detail::_Default_ranged_hash, std::__detail::_Prime_rehash_policy, std::__detail::_Hashtable_traits<true, true, true> > const&)
2021-12-15 16:37:49 [798ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.kit.app.plugin.so!std::string __gnu_cxx::__to_xstring<std::string, char>(int (*)(char*, unsigned long, char const*, __va_list_tag*), unsigned long, char const*, ...)
2021-12-15 16:37:49 [798ms] [Fatal] [carb.crashreporter-breakpad.plugin] libomni.kit.app.plugin.so!_init
2021-12-15 16:37:49 [798ms] [Fatal] [carb.crashreporter-breakpad.plugin] kit!_init
2021-12-15 16:37:49 [799ms] [Fatal] [carb.crashreporter-breakpad.plugin] libc.so.6!__libc_start_main
2021-12-15 16:37:49 [799ms] [Fatal] [carb.crashreporter-breakpad.plugin] kit!_init

Upon revisiting the system requirements I have noticed that the RTX 3080 series is listed as compatible but not the remaining RTX 30XX series cards. I am working with an RTX 3090, would this be the source of the issue?

How do you run the container? Can you share the docker command?Have you run “xhost +” before start the conatiner?

I used the code provided in the documentation for the graph composer:

docker pull nvcr.io/nvidia/deepstream:6.0-devel
xhost +
docker run -it --entrypoint /bin/bash --gpus all --rm --network=host -e DISPLAY=:0 -v /tmp/.X11-unix/:/tmp/.X11-unix --privileged -v /var/run/docker.sock:/var/run/docker.sock nvcr.io/nvidia/deepstream:6.0-devel
composer

@quinn What is the output of “echo ${DISPLAY}”?
If it’s not “:0”, then in the 3rd command above, could you try “DISPLAY=${DISPLAY}” instead of “DISPLAY=:0”?

I have the same error on Composer startup:

2022-01-13 11:37:25 [3,451ms] [Error] [carb.python] [py stderr]: /home/rytis/.local/share/ov/data/Kit/composer-standalone/1.0/pip3-envs/default/requests/__init__.py:91: RequestsDependencyWarning: urllib3 (1.26.6) or chardet (3.0.4) doesn't match a supported version!
  RequestsDependencyWarning)

I am using .deb installation on RTX3070 (laptop) with Ubuntu 20.04.
I think it is related (or might be) with python dependency ‘requests’. Although I don’t know a workaround. I tried to ‘manually’ change versions of ‘urllib3’ and ‘chardet’ and ‘request’ dependencies, didn’t help

To eliminate error use:
/tmp/.tmpNvXgRaphComposer/run/kit/python/bin/python3 -m pip install -U urllib3 requests

All,

After further review of the Graph Composer installation and run guide, it appears that the error is common and not application-breaking. I have continued to work with the graph composer without addressing the error and everything appears to be working correctly, and on the first figure in the Application Workflow page for the Composer on the DS-6 documentation in looks as though this error also occurs. I would also like to note that rytis.augustauskas solution does work to remove the error, though I have not worked with the graph outside of that. As such I am going to mark this as the solution. Thank you all.